> ## Documentation Index
> Fetch the complete documentation index at: https://docs.barrio7.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user along with their assigned roles and organizaciones



## OpenAPI

````yaml get /api/users/{id}
openapi: 3.0.0
info:
  title: Barrio7.org API
  description: An API for the La Senda application of barrio7.org
  contact:
    name: Abinadi Ayerdis
    email: abinadi.ayerdis@gmail.com
  version: '1.0'
servers: []
security: []
paths:
  /api/users/{id}:
    get:
      summary: Retrieve a user along with their assigned roles and organizaciones
      operationId: 36a33ff774d5cba33c039dec2c3e0287
      parameters:
        - name: id
          in: path
          description: User id (should be a UUID)
          required: true
          schema:
            type: string
          examples:
            uuid:
              summary: UUID
              value: 0006faf6-7a61-426c-9034-579f2cfcfa83
      responses:
        '200':
          description: OK

````